Bug 20641 - Switch single-column templates to Bootstrap grid: Various, part 2
Summary: Switch single-column templates to Bootstrap grid: Various, part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19709
Blocks: 19980 6647
  Show dependency treegraph
 
Reported: 2018-04-23 18:22 UTC by Owen Leonard
Modified: 2018-07-10 08:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2 (8.63 KB, patch)
2018-04-24 13:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2 (7.37 KB, patch)
2018-05-11 13:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2 (8.69 KB, patch)
2018-05-14 08:00 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2 (8.51 KB, patch)
2018-06-05 18:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2 (8.62 KB, patch)
2018-06-18 21:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-23 18:22:02 UTC
This patch will convert several unrelated templates to use the Bootstrap grid:

- acqui/addorderiso2709.tt 
- catalogue/search-history.tt 
- cataloguing/linkitem.tt 
- cataloguing/value_builder/unimarc_field_225a_bis.tt 
- common/patron_search.tt 
- labels/label-print.tt
Comment 1 Owen Leonard 2018-04-24 13:03:48 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-05-11 13:31:28 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2018-05-14 08:00:11 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2018-06-05 18:27:58 UTC
Created attachment 75832 [details] [review]
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2

This patch updates various unrelated templates to use the Bootstrap
grid. In each case, confirm that the indicated page looks correct.

 - Acquisitions -> Vendor -> Add to basket -> From a staged file.
 - Logged-in user menu (in the upper right) -> Search history.
 - With plugins disabled in koha-conf.xml, go to Tools -> Tools plugins.
 - With the EasyAnalyticalRecords system preference set to 'Display,'
   view a bibliographic record.
   - Choose Edit -> Link to host item.
   - Submit a barcode to be linked.
 - Configure a MARC subfield (e.g. 100$a) to use the
   unimarc_field_225a_bis plugin.
   From the MARC edit page, trigger the plugin and confirm that the
   page in the popup window looks correct. Confirm that changes made in
   the popup window are saved to the corresponding field in the editor.
 - Administration -> Funds -> Edit a fund.
   - Click 'Select owner.'
   - Search for a patron.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Rebased on top of Bug 19709
Comment 5 Jonathan Druart 2018-06-18 21:05:35 UTC
Created attachment 76164 [details] [review]
Bug 20641: Switch single-column templates to Bootstrap grid: Various, part 2

This patch updates various unrelated templates to use the Bootstrap
grid. In each case, confirm that the indicated page looks correct.

 - Acquisitions -> Vendor -> Add to basket -> From a staged file.
 - Logged-in user menu (in the upper right) -> Search history.
 - With plugins disabled in koha-conf.xml, go to Tools -> Tools plugins.
 - With the EasyAnalyticalRecords system preference set to 'Display,'
   view a bibliographic record.
   - Choose Edit -> Link to host item.
   - Submit a barcode to be linked.
 - Configure a MARC subfield (e.g. 100$a) to use the
   unimarc_field_225a_bis plugin.
   From the MARC edit page, trigger the plugin and confirm that the
   page in the popup window looks correct. Confirm that changes made in
   the popup window are saved to the corresponding field in the editor.
 - Administration -> Funds -> Edit a fund.
   - Click 'Select owner.'
   - Search for a patron.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Nick Clemens 2018-07-06 14:47:41 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-07-10 08:27:25 UTC
Enhancement, not backporting to 18.05.x series.